<template>
    <b-sidebar id="cartbar" width="280px" right no-header backdrop>
        <div class="p-2">
            <b-row>
                <b-col cols="2">
                    <mdicon name="account" size="48"></mdicon>
                </b-col>
                <b-col cols="3">
                <p class="namadress">{{ $store.state.user.user.first_name }} {{ $store.state.user.user.last_name }}</p>
                </b-col>
                <b-col cols="2">
                <mdicon name="map-marker" size="48" />
                </b-col>
                <b-col cols="5">
                <p class="namadress">{{ $store.state.user.user.address }}</p>
                </b-col>
            </b-row>
        </div>
        <hr class="lign">
        <div class="p-2">
            <h6><strong>Mon panier</strong></h6>
            <b-container>
            <b-row class="" v-for="article in $store.state.cart.Cart.content" :key="article.id">
             
                <b-col cols="3">
                    <img src="@/images/Tabouleh.jpg" class="imgCart">
                </b-col>
                <b-col cols="2" class="products">x1</b-col>
                <b-col cols="5" class="products">{{article.name}}</b-col>
                <b-col cols="2" class="products">{{article.price}}€</b-col>

                <div class="mx-auto" style="width: 70%">
                    <li class="extras" v-for="extra in article.extras" :key="extra._id">
                        {{ extra.name }}
                    </li>
                </div>

                <hr class="mt-3">
            </b-row>
            </b-container>
        </div>
        <div class="p-2">
            <b-container>
                <b-row>
                    <b-col cols="8" class="products">Products</b-col>
                    <b-col cols="4" class="products" v-if="$store.state.cart.Cart.amount">{{ $store.state.cart.Cart.amount }}€</b-col>
                    <b-col cols="4" class="products" v-else>0€</b-col>
                </b-row>
               <b-row>
                    <b-col cols="8" class="products">Delivery</b-col>
                    <b-col cols="4" class="products">0€</b-col>
                </b-row>
                <b-row>
                    <b-col cols="8" class="products">Reduction</b-col>
                    <b-col cols="4" class="products">0€</b-col>
                </b-row>
                <b-row>
                    <b-col cols="8" class="products">Total</b-col>
                    <b-col cols="4" class="products" v-if="$store.state.cart.Cart.amount">{{ $store.state.cart.Cart.amount }}€</b-col>
                    <b-col cols="4" class="products" v-else>0€</b-col>
                </b-row>
            </b-container>
        </div>
        <div class="p-2">
        <b-button @click="onClickPayment" class="command-btn" size="md" variant="dark">
            <h4 class="command-text"> PASSER COMMANDE </h4>
        </b-button>
        </div>
        <template v-slot:footer>
            <div class="rectangle">
                <b-row align-h="end">
                    <router-link to="/" active-class="active" tag="button" exact class="change">
                        <div >
                            Change
                        </div>
                </router-link>
                </b-row>
                <mdicon name="creditCard" size="64" />
                6372 8749 **** ****
            </div>
        </template>
    </b-sidebar>
</template>


<script lang="ts">
import Vue from "vue";
import { mapActions, mapGetters } from "vuex";
import router from '@/router';

export default Vue.extend({
  name: "CartBar",
  props: {},


  methods: {
    ...mapActions(["addPayment", "newCommand", "putCart"]),

    onClickPayment(){
       console.log(this.$store.state.cart.Cart)
        this.addPayment(this.$store.state.cart.Cart);
       this.newCommand(this.$store.state.cart.Cart);
       this.putCart({});
       router.push('/')
    }
  },


});
</script>


<style scoped>

.namadress{
    font-size: 12px;
    color: #FFBD61;
}

.lign{
  margin-left: 30px;
  width:75%;
  color:gray;
  background-color:gray;
}

.imgCart{
    width:40px; 
    height:40px;
}

.products{
     font-size: 12px;
     margin-top: 15px;
}

.extras{
     font-size: 10px;
}

.cartButton{
    margin-right: 13px;
}

.namadress{
    font-size: 14px;
    color: #FFBD61;
}

.command-btn {
    margin-top: 10px;
    margin-left: 15px;
}

.command-text {
    color: #FFBD61;
    font-size: 20px;
    margin-top: 10px;
}

.rectangle {
    background-color: #FFF1D8;
	width:250px;
	height:125px;
    border-radius: 20px;
    margin-left: 15px;
    margin-bottom: 15px;
}

.change {
    background-color: transparent;
    font-weight: 500;
    font-size: 14px;
    border: 0;
    margin-bottom: 10px;
}

</style>